MDC_Info< B > Struct Template Reference

MDC_Info cipher information. More...

`#include <mdc.h>`

Inheritance diagram for MDC_Info< B >:

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< B::BLOCKSIZE >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< B::DIGESTSIZE >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< B::BLOCKSIZE >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.

## Detailed Description

template<class B>
struct MDC_Info< B >

MDC_Info cipher information.

Template Parameters

  B | BlockCipher derived class

Definition at line 22 of file mdc.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class B >

static std::string MDC_Info< B >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 24 of file mdc.h.

The documentation for this struct was generated from the following file:

- mdc.h